Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Text::Tabs

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Text::Tabs

- NAME
- SYNOPSIS
- DESCRIPTION
- EXAMPLE
- LICENSE

# NAME

Text::Tabs -- expand and unexpand tabs per the unix expand(1) and unexpand(1)

# SYNOPSIS

      use Text::Tabs;  $tabstop = 4;  # default = 8  @lines_without_tabs = expand(@lines_with_tabs);  @lines_with_tabs = unexpand(@lines_without_tabs);

# DESCRIPTION

Text::Tabs does about what the unix utilities expand(1) and unexpand(1) do. Given a line with tabs in it, expand will replace the tabs with the appropriate number of spaces. Given a line with or without tabs in it, unexpand will add tabs when it can save bytes by doing so (just like `unexpand -a` ). Invisible compression with plain ASCII!

# EXAMPLE

      #!perl  # unexpand -a  use Text::Tabs;  while (<>) {    print unexpand $_;  }

Instead of the `expand` comand, use:

      perl -MText::Tabs -n -e 'print expand $_'

Instead of the `unexpand -a` command, use:

      perl -MText::Tabs -n -e 'print unexpand $_'

# LICENSE

Copyright (C) 1996-2002,2005,2006 David Muir Sharnoff. Copyright (C) 2005 Aristotle Pagaltzis This module may be modified, used, copied, and redistributed at your own risk. Publicly redistributed modified versions must use a different name.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- EXAMPLE
- LICENSE